﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace myNamespace
{
    public partial class ToolTip_On_Calendar_Test : System.Web.UI.Page
    {

        int i = 0;


        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void RadCalendar1_DayRender(object sender, Telerik.Web.UI.Calendar.DayRenderEventArgs e)
        {
            //string test = "Hello"; 
            if (IsDayRegisteredForTooltip(e.Day.Date))
            {
                TableCell cell = e.Cell;
                //cell.CssClass = "Appointment";
                string localTime = DateTime.Now.ToLocalTime().ToString();
                //cell.Attributes.Add("id", "Calendar1_" + localTime); 
                //RadToolTipManager1.TargetControls.Add(e.Cell.Attributes["id"], localTime, true); 
                cell.Attributes.Add("id", "Calendar1_" + i.ToString());
                //cell.Attributes.Add("onmouseover", "ShowToolTip(this);");
                RadToolTipManager1.TargetControls.Add(e.Cell.Attributes["id"], i.ToString(), true);
                // RadToolTip1.Controls.Add(cell); 
                i++;
            }
        }

        private bool IsDayRegisteredForTooltip(DateTime date)
        {
            if (date.ToShortDateString().Equals("8/30/2011") || date.ToShortDateString().Equals("9/9/2011") || date.ToShortDateString().Equals("9/24/2011"))
            // if ( date.ToShortDateString().Equals("9/10/2011")) 
            {
                return true;
            }
            else
            {
                return false;
            }

        }

        protected void RadToolTipmanager1_AjaxUpdate(object sender, ToolTipUpdateEventArgs e)
        {
            AppointmentDetails details = (AppointmentDetails)this.LoadControl("AppointmentDetails.ascx");
            details.AppointmentID = int.Parse(e.Value);
            e.UpdatePanel.ContentTemplateContainer.Controls.Add(details);
        }

        protected void RadCalendar1_DefaultViewChanged(object sender, Telerik.Web.UI.Calendar.DefaultViewChangedEventArgs e)
        {
            RadToolTipManager1.TargetControls.Clear();
        }

        protected void RadCalendar1_Load(object sender, EventArgs e)
        {
            RadCalendarDay calendarDay1 = new RadCalendarDay();
            // calendarDay1.TemplateID = "EventTemplate"; 
            calendarDay1.Date = new DateTime(2011, 8, 19);
            calendarDay1.ItemStyle.BorderColor = System.Drawing.Color.Green;
            calendarDay1.ItemStyle.BackColor = System.Drawing.Color.Yellow;
            RadCalendar1.SpecialDays.Add(calendarDay1);
            RadCalendarDay calendarDay2 = new RadCalendarDay();
            calendarDay2.Date = new DateTime(2011, 9, 9);
            calendarDay2.ItemStyle.CssClass = "rcEvent";
            calendarDay2.ToolTip = "This is a test2<br/>Hello2";
            RadCalendar1.SpecialDays.Add(calendarDay2);
            RadCalendarDay calendarDay3 = new RadCalendarDay();
            calendarDay3.Date = new DateTime(2011, 8, 30);
            calendarDay3.ItemStyle.BorderColor = System.Drawing.Color.Green;
            calendarDay3.ItemStyle.BackColor = System.Drawing.Color.Yellow;
            // calendarDay3.TemplateID = "EventTemplate"; 
            RadCalendar1.SpecialDays.Add(calendarDay3);
            RadCalendarDay calendarDay4 = new RadCalendarDay();
            calendarDay4.Date = new DateTime(2011, 3, 6);
            calendarDay4.ItemStyle.BorderColor = System.Drawing.Color.Green;
            calendarDay4.ItemStyle.BackColor = System.Drawing.Color.Yellow;
            // calendarDay3.TemplateID = "EventTemplate"; 
            RadCalendar1.SpecialDays.Add(calendarDay4);
            RadCalendarDay calendarDay5 = new RadCalendarDay();
            calendarDay5.Date = new DateTime(2011, 12, 11);
            calendarDay5.ItemStyle.BorderColor = System.Drawing.Color.Green;
            calendarDay5.ItemStyle.BackColor = System.Drawing.Color.Yellow;
            // calendarDay3.TemplateID = "EventTemplate"; 
            RadCalendar1.SpecialDays.Add(calendarDay5);
        }
    }
}